£1,179.41– £1,440.99
Compare 3 prices
TP-Link · Network Switch
TP-Link Omada 32-Port 10GE L2+ Managed Switch with 24-Port PoE++ price in United Kingdom
Model SX3832MPPMPN SX3832MPPEAN 810142821438EAN 1210002604703
- TypeDIN rail
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity24
Lowest price incl. delivery
£1,492.13
at PCHUB.UKFree deliveryIn stock
- 3 stores
- Range £1,492.13 – £1,863.99
- Save up to £371.86 vs. the dearest store
- 3 in stock
- 2 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Save up to £371.86 (20%) by choosing the cheapest store
- 3 of 3 stores in stock
- 2 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- PCHUB.UKLowest priceTP-Link Omada 32-Port 10GE L2+ Managed Switch with 24-Port PoE++ In stockFree shipping£1,492.13incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- Back to the OfficeTP-Link Omada 32-Port 10GE L2+ Managed Switch with 24-Port PoE++ In stockFree shipping£1,863.99incl. free shipping+£371.86 (25%) vs lowestGo to store : Back to the Office (opens in a new tab)
- PcNova.co.ukTP-Link Omada 32-Port 10GE L2+ Managed Switch with 24-Port PoE++ In stockShipping not stated£1,492.13item price, shipping extraGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- TP-Link
- Product
- Omada 32-Port 10GE L2+ Managed Switch with 24-Port PoE++
- Full name
- TP-Link Omada 32-Port 10GE L2+ Managed Switch with 24-Port PoE++
- Manufacturer part number
- SX3832MPP
- EAN / UPC
- 810142821438, 1210002604703, 8885020622676
- Category
- Network Switch
94 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2+ |
| Quality of Service (QoS) support | Yes |
| Cloud-managed | Yes |
| Web-based management | Yes |
| ARP inspection | Yes |
| Configuring Location Settings (CLI) | Yes |
| Unified static configuration | Yes |
| System event log | Yes |
| MIB support | RFC1213, RFC2233, RFC1643, RFC1493, RFC2674, RFC2819, RFC2021, RFC2620, RFC2618, RFC2925 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 24 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | 10G Ethernet (100/1000/10000) |
| Fast Ethernet (copper) ports quantity | 24 |
| Gigabit Ethernet (copper) ports quantity | 24 |
| 2.5G Ethernet (copper) ports quantity | 24 |
| 10G Ethernet (copper) ports quantity | 24 |
| Installed SFP+ modules quantity | 8 |
| Console port | RJ-45/USB Type-C |
Network
| Networking standards | IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1af, IEEE 802.1p, IEEE 802.1x, IEEE 802.3ah, IEEE 802.3at, IEEE 802.3az, IEEE 802.3bt, IEEE 802.3x |
|---|---|
| 10G support | Yes |
| Port mirroring | Yes |
| Address Resolution Protocol (ARP) entries (max) | 510 |
| Auto MDI/MDI-X | Yes |
| Auto-negotiation | Yes |
| Broadcast storm control | Yes |
| Ethernet Ring Protection Switching (ERPS) | Yes |
| IPv4 routes | 48 |
| IPv6 routes | 48 |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | MVRP, Private VLAN, SSID-based VLAN assignment, VLAN Identifier ( VLAN ID), Voice VLAN |
| Number of VLANs | 4000 |
Data transmission
| MAC address table | 32000 entries |
|---|---|
| Switching capacity | 640 Gbit/s |
| Forwarding rate | 240 Mpps |
| Number of queues | 8 |
| Static route | Yes |
| Jumbo frames support | Yes |
| Jumbo frames | 9 |
| Packet buffer memory | 24 MB |
Security
| DHCP features | DHCP relay, DHCP server, DHCP snooping, DHCPv6 client, DHCPv6 snooping |
|---|---|
| Access Control List (ACL) | Yes |
| IGMP snooping | Yes |
| Authentication | Guest VLAN |
| Authentication type | AAA, RADIUS, TACACS+ |
| CPU defense | Yes |
| DoS attack prevention | Yes |
| Queue scheduling algorithms | Strict Priority Queue (SPQ), WRR+SP, Weighted Round Robin (WRR) |
| Security algorithms | HTTPS, SNMP, SNMPv2, SNMPv3, SSH, SSL/TLS |
| Static port security | Yes |
Multicast features
| Multicast support | Yes |
|---|---|
| Multicast Listener Discovery (MLD) snooping | Yes |
Protocols
| Device link detection protocol (DLDP) | Yes |
|---|---|
| IPv4 & IPv6 features | Dual stack IPv4/IPv6, IPv6 SNMP, IPv6 SSH, IPv6 TFTP, IPv6 Telnet, IPv6 ping, IPv6 tracert |
Design
| Rack mounting | Yes |
|---|---|
| Stackable | Yes |
| Form factor | DIN rail |
| Product colour | Black |
| Housing material | Metal |
| LED indicators | Yes |
| Number of fans | 4 fan(s) |
Performance
| Firmware upgradeable | Yes |
|---|---|
| Fanless | No |
| Minimum system requirements | Microsoft® Windows® 98SE, NT, 2000, XP, Vista™ or Windows 7/8/10/11, MAC® OS, NetWare®, UNIX® or Linux. |
Power
| Power source | AC |
|---|---|
| Power supply included | No |
| AC input voltage | 110 - 240 V |
| AC input frequency | 50/60 Hz |
| Power consumption (typical) | 953.7 W |
| Power consumption (max) | 1010.2 W |
| Power saving mode (EEE) | Yes |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet 4PPoE (PoE++) ports quantity | 24 |
| Power over Ethernet (PoE) power per port | 90 W |
| Total Power over Ethernet (PoE) budget | 770 W |
Other features
| Packaging content | Console Cable |
|---|
Operational conditions
| Operating temperature (T-T) | -5 - 45 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 90% |
| Storage relative humidity (H-H) | 5 - 90% |
| Heat dissipation | 3444.7 BTU/h |
Weight & dimensions
| Width | 440 mm |
|---|---|
| Depth | 330 mm |
| Height | 44 mm |
Packaging content
| Cables included | Power |
|---|---|
| Quick start guide | Yes |
| Rack mount kit | Yes |
Packaging data
| Mounting brackets included | Yes |
|---|---|
| Rubber feet | Yes |
| Screws included | Yes |
Sustainability
| Sustainability organizations | Accountability |
|---|
Certificates
| Compliance certificates | CE, Federal Communications Commission (FCC), RoHS |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






